uglMesaMakeCurrentContext(3)

NAME
uglMesaMakeCurrentContext - Bind an UGL_MESA_CONTEXT to an image buffer

SYNOPSIS
#include <GL/uglmesa.h>

GLboolean uglMesaMakeCurrentContext (UGL_MESA_CONTEXT umc,
                                     GLsizei left, GLsizei top,
                                     GLsizei width, GLsizei height);

DESCRIPTION
The uglMesaMakeCurrentContext binds an UGL_MESA_CONTEXT to an image buffer. The image buffer is just a block of memory which the client provides. Its size must be at least as large as width*height*sizeof(type). Its address should be a multiple of 4 if using RGBA mode.

Image data is stored in the order of glDrawPixels: row-major order with the lower-left image pixel stored in the first array position (ie. bottom-to-top).

Since the only type initially supported is GL_UNSIGNED_BYTE, if the context is in RGBA mode, each pixel will be stored as a 4-byte RGBA value. If the context is in color indexed mode, each pixel will be stored as a 1-byte value.

If the context's viewport hasn't been initialized yet, it will now be initialized to (0, 0, width, height).

INPUT
umc - a rendering context

left, top - coordinates in pixels of (left,top) pixel (0,0) in fullscreen mode.

width, height - size of image buffer in pixels, at least 1 else fullscreen dimensions are used (UGL_MESA_DISPLAY_WIDTH and UGL_MESA_DISPLAY_HEIGHT).

RETURN VALUES
GL_TRUE if success, GL_FALSE if error because of invalid umc, width<1, height<1, width>internal limit or height>internal limit.

SEE ALSO
uglMesaCreateNewContext(3), uglMesaCreateNewContextExt(3)

COPYRIGHT
Copyright © 2001 Wind River Systems, Inc.